
using UdonSharp;
using UnityEngine;
using VRC.SDKBase;
using VRC.Udon;

public class Buzzer : UdonSharpBehaviour
{
	public PlayerPodium Podium;

	public override void OnPickupUseDown()
	{
		VRCPlayerApi LocalPlayer = Networking.LocalPlayer;
		if (Podium.PlayerID == LocalPlayer.playerId)
		{
			Podium.BuzzIn();
		}

		base.OnPickupUseDown();
	}
}
